Bug 1069828 - systemd-journald Failed to write entry X bytes ignoring Bad address
systemd-journald Failed to write entry X bytes ignoring Bad address
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
22
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-25 12:57 EST by Mikhail Strizhov
Modified: 2016-07-19 16:05 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 16:05:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikhail Strizhov 2014-02-25 12:57:18 EST
Description of problem:

Lots of error messages in the output of dmesg: 

[   58.191577] systemd-journald[323]: Failed to write entry (24 items, 583 bytes), ignoring: Bad address
[   58.191833] systemd-journald[323]: Failed to write entry (20 items, 551 bytes), ignoring: Bad address
[   58.192162] systemd-journald[323]: Failed to write entry (22 items, 581 bytes), ignoring: Bad address
[   58.192411] systemd-journald[323]: Failed to write entry (23 items, 574 bytes), ignoring: Bad address
[   58.208390] systemd-journald[323]: Failed to write entry (22 items, 591 bytes), ignoring: Bad address
[   58.208643] systemd-journald[323]: Failed to write entry (22 items, 594 bytes), ignoring: Bad address
[   58.237825] systemd-journald[323]: Failed to write entry (26 items, 667 bytes), ignoring: Bad address
[   58.238154] systemd-journald[323]: Failed to write entry (23 items, 581 bytes), ignoring: Bad address


I tried to restart systemd-journald.service

# systemctl restart systemd-journald.service

But the errors still persist:

dmesg output: 

[  277.685602] systemd-journald[323]: Received SIGTERM
[  277.686095] systemd-journald[323]: Failed to write entry (17 items, 459 bytes), ignoring: Bad address
[  277.803599] systemd-journald[1018]: Vacuuming done, freed 0 bytes
[  277.803617] systemd-journald[1018]: Vacuuming done, freed 0 bytes
[  277.803994] systemd-journald[1018]: Can't write entry: Bad address
[  277.804319] systemd-journald[1018]: Failed to write entry (16 items, 456 bytes), ignoring: Bad address
[  277.822822] systemd-journald[1018]: Failed to write entry (17 items, 460 bytes), ignoring: Bad address

Output of /var/log/messages:

Feb 25 10:48:52 dolores systemd: Stopping Journal Service...
Feb 25 10:48:52 dolores systemd-journald[323]: Failed to write entry (22 items, 598 bytes), ignoring: Bad address
Feb 25 10:48:52 dolores systemd-journald[323]: Received SIGTERM
Feb 25 10:48:52 dolores systemd-journald[323]: Failed to write entry (17 items, 459 bytes), ignoring: Bad address
Feb 25 10:48:52 dolores systemd: Starting Trigger Flushing of Journal to Persistent Storage...
Feb 25 10:48:52 dolores systemd: Started Trigger Flushing of Journal to Persistent Storage.


Version-Release number of selected component (if applicable):

systemd-208-14.fc20.x86_64
systemd-devel-208-14.fc20.x86_64
systemd-libs-208-14.fc20.i686
systemd-libs-208-14.fc20.x86_64

Linux dolores 3.13.3-201.fc20.x86_64 #1 SMP Fri Feb 14 19:08:32 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux





How reproducible:

check out the output of dmesg or /var/log/messages

Steps to Reproduce:
1. 
2.
3.

Actual results:

Lots of errors in dmesg.


Expected results:

No errors.


Additional info:
Comment 1 Zbigniew Jędrzejewski-Szmek 2014-03-11 22:27:32 EDT
Hm, can you provide the complete boot log (journalctl -b)? Also, how much free space do you have on the filesystem containing /var/log/? What does 'journalctl --verify' say?
Comment 2 Reilly Hall 2014-05-06 11:38:47 EDT
I am getting the same errors and the journal will no longer show what the syslog and dmesg show.

When I run journalctl --verify this is what I get:

% journalctl --verify                           
PASS: /var/log/journal/0f3d62f0338a4544b94e29934697a30a/user-1000@cc123e644383421c8bee0f6015f9041d-00000000000995a6-0004e7cdb6e41910.journal
df7f68: invalid object entry array item (4624/6318): 3c3e6e6f69746163░░░░░░░   4%
Invalid object contents at df7f68: Bad message
File corruption detected at /var/log/journal/0f3d62f0338a4544b94e29934697a30a/system@9092659073eb49bb81969042a8f6d2c5-0000000000000001-0004ed89e4285b12.journal:df7f68 (of 134217728 bytes, 10%).
FAIL: /var/log/journal/0f3d62f0338a4544b94e29934697a30a/system@9092659073eb49bb81969042a8f6d2c5-0000000000000001-0004ed89e4285b12.journal (Bad message)
53bbe8: invalid object entry array item (1152/2106): a1836f4ae32ab67a░░░░░░░   0%
Invalid object contents at 53bbe8: Bad message
File corruption detected at /var/log/journal/0f3d62f0338a4544b94e29934697a30a/system@0004f76d1bdc54a4-724136128d92f6bc.journal~:53bbe8 (of 8388608 bytes, 65%).
FAIL: /var/log/journal/0f3d62f0338a4544b94e29934697a30a/system@0004f76d1bdc54a4-724136128d92f6bc.journal~ (Bad message)
PASS: /var/log/journal/0f3d62f0338a4544b94e29934697a30a/system@f0245e5798424c8ea4949ae61364b664-000000000006bedb-0004e7cda8e91fce.journal
PASS: /var/log/journal/0f3d62f0338a4544b94e29934697a30a/system@0004ed847442b494-fe202440c7ac82da.journal~
PASS: /var/log/journal/0f3d62f0338a4544b94e29934697a30a/user-1000@cc123e644383421c8bee0f6015f9041d-0000000000082f8e-0004e7cdaed5186a.journal
PASS: /var/log/journal/0f3d62f0338a4544b94e29934697a30a/user-1000@cc123e644383421c8bee0f6015f9041d-00000000000493f2-0004e7cd9d54cdf3.journal
PASS: /var/log/journal/0f3d62f0338a4544b94e29934697a30a/user-989@ed7eaf01a7634102a64b17a50f016747-00000000000d3664-0004eee434243538.journal
fe9530: invalid object entry array item (855/2106): 676e656c28206669░░░░░░░░  11%
Invalid object contents at fe9530: Bad message
File corruption detected at /var/log/journal/0f3d62f0338a4544b94e29934697a30a/system@0004f7683491aa3c-7049b2ef6c9692b9.journal~:fe9530 (of 58720256 bytes, 28%).
FAIL: /var/log/journal/0f3d62f0338a4544b94e29934697a30a/system@0004f7683491aa3c-7049b2ef6c9692b9.journal~ (Bad message)
PASS: /var/log/journal/0f3d62f0338a4544b94e29934697a30a/user-1001@1c397b312e3c407f9e53912aba46e900-0000000000021b11-0004e44cbbc73c11.journal
PASS: /var/log/journal/0f3d62f0338a4544b94e29934697a30a/user-1001@36801d8e106043e7a4be82e6c96a6ba0-00000000000a0f90-0004e84e77577d26.journal
PASS: /var/log/journal/0f3d62f0338a4544b94e29934697a30a/user-1000@cc123e644383421c8bee0f6015f9041d-00000000000ef695-0004f0cdc5119b8c.journal
61ee78: invalid object entry array item (1582/6318): d904000515080106░░░░░░░   0%
Invalid object contents at 61ee78: Bad message
File corruption detected at /var/log/journal/0f3d62f0338a4544b94e29934697a30a/system@9092659073eb49bb81969042a8f6d2c5-0000000000118640-0004f38bbb53573d.journal:61ee78 (of 134217728 bytes, 4%).
FAIL: /var/log/journal/0f3d62f0338a4544b94e29934697a30a/system@9092659073eb49bb81969042a8f6d2c5-0000000000118640-0004f38bbb53573d.journal (Bad message)
11f6d58: invalid object entry array item (4178/6318): 401010000000d░░░░░░░░░   6%
Invalid object contents at 11f6d58: Bad message
File corruption detected at /var/log/journal/0f3d62f0338a4544b94e29934697a30a/system@9092659073eb49bb81969042a8f6d2c5-00000000000eee7b-0004f0c3ce861792.journal:11f6d58 (of 134217728 bytes, 14%).
FAIL: /var/log/journal/0f3d62f0338a4544b94e29934697a30a/system@9092659073eb49bb81969042a8f6d2c5-00000000000eee7b-0004f0c3ce861792.journal (Bad message)
PASS: /var/log/journal/0f3d62f0338a4544b94e29934697a30a/system@0004ed89e44842f4-01e3b2b5ddbe8c38.journal~
PASS: /var/log/journal/0f3d62f0338a4544b94e29934697a30a/user-1000.journal        
443240: invalid object entry array item (23/26): 77207361206e6f6d░░░░░░░░░░░   0%
Invalid object contents at 443240: Bad message
File corruption detected at /var/log/journal/0f3d62f0338a4544b94e29934697a30a/user-1000@cc123e644383421c8bee0f6015f9041d-0000000000141af1-0004f657cc7cdd02.journal:443240 (of 8388608 bytes, 53%).
FAIL: /var/log/journal/0f3d62f0338a4544b94e29934697a30a/user-1000@cc123e644383421c8bee0f6015f9041d-0000000000141af1-0004f657cc7cdd02.journal (Bad message)
PASS: /var/log/journal/0f3d62f0338a4544b94e29934697a30a/user-1001.journal        
PASS: /var/log/journal/0f3d62f0338a4544b94e29934697a30a/user-1000@cc123e644383421c8bee0f6015f9041d-00000000000bd5ca-0004eca171ea627b.journal
PASS: /var/log/journal/0f3d62f0338a4544b94e29934697a30a/system@f0245e5798424c8ea4949ae61364b664-0000000000048600-0004e7cd9c3ffdd7.journal
PASS: /var/log/journal/0f3d62f0338a4544b94e29934697a30a/user-989@ed7eaf01a7634102a64b17a50f016747-0000000000119778-0004f39887771155.journal
PASS: /var/log/journal/0f3d62f0338a4544b94e29934697a30a/user-1001@f192eb7cddaa41289c812020f23e9a1e-000000000000098c-0004e1b51a90fd01.journal
PASS: /var/log/journal/0f3d62f0338a4544b94e29934697a30a/system@f0245e5798424c8ea4949ae61364b664-0000000000000001-0004e1ac33a60dfe.journal
PASS: /var/log/journal/0f3d62f0338a4544b94e29934697a30a/system@f0245e5798424c8ea4949ae61364b664-000000000001f8cd-0004e42b000a8109.journal
PASS: /var/log/journal/0f3d62f0338a4544b94e29934697a30a/user-1000@cc123e644383421c8bee0f6015f9041d-0000000000000454-0004e1ac33c06ce9.journal
345ecc0: invalid object entry array item (4710/6318): e51ab0000002e░░░░░░░░░  35%
Invalid object contents at 345ecc0: Bad message
File corruption detected at /var/log/journal/0f3d62f0338a4544b94e29934697a30a/system@f0245e5798424c8ea4949ae61364b664-000000000008f793-0004e7cdb440b090.journal:345ecc0 (of 78233600 bytes, 70%).
FAIL: /var/log/journal/0f3d62f0338a4544b94e29934697a30a/system@f0245e5798424c8ea4949ae61364b664-000000000008f793-0004e7cdb440b090.journal (Bad message)
PASS: /var/log/journal/0f3d62f0338a4544b94e29934697a30a/user-1000@cc123e644383421c8bee0f6015f9041d-0000000000118b51-0004f38bd8f07012.journal
PASS: /var/log/journal/0f3d62f0338a4544b94e29934697a30a/user-1000@cc123e644383421c8bee0f6015f9041d-000000000001f919-0004e42b00f188c5.journal
Comment 3 Sergio Monteiro Basto 2014-10-21 10:31:38 EDT
I got same problem after clone my hard disk , I removed  
rm -rf /var/log/journal/0f3d62f0338a4544b94e29934697a30a
and restart the service 
systemctl restart systemd-journalctl
Comment 4 Stefan Becker 2014-12-31 09:18:34 EST
Looks like systemd-journald really doesn't like disk cloning while it is still running :-( Something to remember for the next upgrade.

BTW: you don't have to delete all journal data to fix this. Just force a log rotation with SIGUSR2, i.e.

  $ kill -SIGUSR2 <pid of systemd-journald>

and the error disappears. See also "man systemd-journald.service".
Comment 5 Fedora End Of Life 2015-05-29 07:03:29 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-06-29 15:05:53 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 John Gotts 2015-12-02 17:45:23 EST
The problem still exists in Fedora 22.

journalctl --verify

flagged several dozen files with this same error, bad message.

I don't see how

kill -SIGUSR2 <pid of systemd-journald>

is doing anything. Once I removed all of the corrupted files and ran this command again I still have dozens of files in /var/log/journal/.../ dating back to September and October. I also have these gems:

-rw-r-----+ 1 root systemd-journal   8388608 Jun  3 14:38 user-1003.journal
-rw-r-----+ 1 root systemd-journal   8388608 Apr 29  2015 user-1002.journal
-rwxr-xr-x+ 1 root systemd-journal   8388608 Apr  6  2015 user-42.journal
-rwxr-xr-x+ 1 root systemd-journal   8388608 Jan  1  2015 user-991.journal

Are these files dated months ago supposed to be there?

This bug is a bad one. I plugged in a USB device and wanted to see whether it connected as USB 2.0 or USB 3.0. Nope, dmesg just had:

[ 5478.800203] systemd-journald[439]: Failed to write entry (21 items, 650 bytes), ignoring: Bad address

dmesg has a positively gigantic buffer, but this message was being logged every 500 microseconds. I wish I was joking. No kernel messages.

I think the real bug is that systemd needs to stay out of whatever produces dmesg these days. dmesg since the 1990s has been the primary way to get kernel messages, when you do things like plug in USB devices. dmesg is not the place for systemd internal errors. If there is a bad file in the aforementioned subdirectory, ignore it, don't generate a log entry every 500 microseconds.

Hopefully we can get this problem ironed out.
Comment 8 Fedora End Of Life 2016-07-19 16:05:12 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.